GET
List keys
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol.
Responses
200
OK
Response Body
object
-
keysarray of objects requiredONE OF
-
encryptedPrvstringThe encrypted private key -
idstring required -
isBitGobooleanTrue, if this key is owned by BitGo -
sourcestring enumbackupbitgocolduser -
typestring enum requiredA value from a string enum denoting what kind of key this is. Defaults to “independent” indicating an on-chain key is requested. If set to “tss” this tells us that a “tss” key is requested.tssindependent -
pubstringpublic part of a key pair
-
encryptedPrvstringThe encrypted private key -
idstring required -
isBitGobooleanTrue, if this key is owned by BitGo -
sourcestring enum requiredbackupbitgocolduser -
typestring enum requiredA value from a string enum denoting what kind of key this is. Defaults to “independent” indicating an on-chain key is requested. If set to “tss” this tells us that a “tss” key is requested.tssindependent -
commonKeychainstringThe commonKeychain for the key if this is a MPC key. This value is required to be set when the type is set to “tss” and when the source is either “user” or “backup”. Setting this indicates to BitGo that the owner of the key has received all key shares they needed for generating their key. This value is the concatenation of the common public key (32-byte) with the common chaincode (32-byte) as a hex string. -
commonPubstringThe common public key. This value is required to be set for MPC keys when the source is either "user" or "backup". Setting this indicates to BitGo that the owner of the key has received all key shares they needed for generating their key.
-
400
Bad Request
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code